/*
 * Copyright (c) 2012-2014 Wind River Systems, Inc.
 *
 * SPDX-License-Identifier: Apache-2.0
 */

#include <inttypes.h>
#include <zephyr/device.h>
#include <zephyr/devicetree.h>
#include <zephyr/drivers/gpio.h>
#include <zephyr/kernel.h>
#include <zephyr/logging/log.h>
#include <zephyr/sys/util.h>
#include <zephyr/sys/printk.h>
#include "button.h"
#include "error.h"
#include "led.h"

LOG_MODULE_REGISTER(main);

void main(void) {
    LOG_INF("button long press test\n");
    printk("Starting button Test example\n");

    ledInit();
    buttonInit();
#ifdef CONFIG_PM
    while (1) {
        k_sleep(K_SECONDS(1));
    }
#endif
}
